1 Reply Latest reply on Oct 28, 2014 9:28 AM by pjvg1990 Branched to a new discussion.

    Cannot deploy to WildFly server - JBAS014771: Services with missing/unavailable dependencies - weld.weldClassIntrospector is missing

    pjvg1990 Newbie

      I am working on a Java EE-based Web application in NetBeans IDE 8.0.1 and I want to deploy it to my locally started WildFly server (WildFly 8.1.0). This usually works okay, but all of a sudden, while I did not change anything (to my knowledge), the deployment fails. I have tested on two different PCs and both give errors.

       

      I get the following error in my WildFly log:

       

      10:14:53,211 ERROR [org.jboss.as.controller.management-operation] (DeploymentScanner-threads - 1) JBAS014613: Operation ("deploy") failed - address: ([("deployment" => "pgb.ear")]) - failure description: {
          "JBAS014771: Services with missing/unavailable dependencies" => [
              "jboss.deployment.subunit.\"pgb.ear\".\"pgb-war.war\".weld.weldClassIntrospector is missing [jboss.deployment.subunit.\"pgb.ear\".\"pgb-war.war\".beanmanager]",
              "jboss.deployment.unit.\"pgb.ear\".weld.weldClassIntrospector is missing [jboss.deployment.unit.\"pgb.ear\".beanmanager]"
          ],
          "JBAS014879: One or more services were unable to start due to one or more indirect dependencies not being available." => {
              "Services that were unable to start:" => [
                  "jboss.deployment.subunit.\"pgb.ear\".\"pgb-ejb.jar\".POST_MODULE",
                  "jboss.deployment.subunit.\"pgb.ear\".\"pgb-war.war\".INSTALL",
                  "jboss.deployment.unit.\"pgb.ear\".INSTALL",
                  "jboss.persistenceunit.\"pgb.ear/pgb-ejb.jar#new-db\".__FIRST_PHASE__",
                  "jboss.persistenceunit.\"pgb.ear/pgb-ejb.jar#old-db\".__FIRST_PHASE__"
              ],
              "Services that may be the cause:" => [
                  "jboss.deployment.subunit.\"pgb.ear\".\"pgb-war.war\".beanmanager",
                  "jboss.deployment.unit.\"pgb.ear\".beanmanager",
                  "jboss.jdbc-driver.mysql-connector-java-5_1_23-bin_jar"
              ]
          }
      }
      

       

      Can anyone tell me what's wrong? And how to solve the problem?